shared_context 'mock save record failure' do
  before { allow_any_instance_of(ActiveRecord::Base).to receive(:save) { false } }
end

shared_context 'mock service returning error' do |service, error|
  before { allow_any_instance_of(service).to receive(:call) { error } }
end
