shared_examples 'renders template' do |template|
  it { is_expected.to render_template template }
end

shared_examples 'redirects to' do |path|
  it { is_expected.to redirect_to eval(path) }
end

shared_examples 'flashes' do |hsh|
  specify do
    subject
    expect(flash[hsh.keys.first]).to eq hsh.values.first
  end
end

shared_examples 'calls service' do |service|
  specify do
    expect_any_instance_of(service).to receive(:call)
    subject
  end
end
